<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>GDC | SDLC </title>
        <!-- Tell the browser to be responsive to screen width -->
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
        <!-- Bootstrap 3.3.7 -->
        <link rel="stylesheet" href="{{ static('bower_components/bootstrap/dist/css/bootstrap.min.css') }}">
        <!-- Font Awesome -->
        <link rel="stylesheet" href="{{ static('bower_components/font-awesome/css/font-awesome.min.css') }}">
        <!-- Ionicons -->
        <link rel="stylesheet" href="{{ static('bower_components/Ionicons/css/ionicons.min.css') }}">
        <!-- Theme style -->
        <link rel="stylesheet" href="{{ static('dist/css/AdminLTE.min.css') }}">

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->

        <!-- Google Font -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
    </head>
    <body class="hold-transition register-page">
        <div class="register-box">
            <div class="register-logo">
                <a href="{{ url('cuenta:login')}}" title="Servicio Desconcentrado de la Lotería de Caracas."><b style="color:red;">GDC |</b> <b>SDLC</b> </a>
            </div>

            {% if get_messages(request) %}
            <ul class="messages">
                {% for message in get_messages(request) %}
                <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>
                    {{ message }}
                </li>
                {% endfor %}
            </ul>
            {% endif %}

            <div class="register-box-body">
                <p class="login-box-msg">Registro de Usuarios</p>
                <form method="post">
                    <input type="hidden" name="csrfmiddlewaretoken" value="{{ csrf_token }}">
                    {% for field in form %}
                        {% if 'password' not in field.name %}
                            <div class="form-group has-feedback">
                                {{ field }}
                                {% if 'name' in field.name %}
                                    <span class="glyphicon glyphicon-user form-control-feedback"></span>
                                {% elif  'mail' in field.name %}
                                    <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
                                {% endif %}
                                <span class="help-block">
                                    {% for error in field.errors %}
                                        <ul>
                                            <li class="text-red">{{ error }}</li>
                                        </ul>
                                    {% endfor %}
                                </span>
                            </div>
                        {% endif %}
                    {% endfor %}
                    <div class="form-group has-feedback {%if form.password1.errors or form.password2.errors %}has-error{%endif%}">
                        <input type="password" name="password1" class="form-control" id="id_password1" required placeholder="Escriba la clave">
                        <span class="glyphicon glyphicon-lock form-control-feedback"></span>
                        <span class="help-block">
                            {% for error in form.password1.errors %}
                                <ul>
                                    <li class="text-red">{{ error }}</li>
                                </ul>
                            {% endfor %}
                        </span>
                    </div>
                    <div class="form-group has-feedback">
                        <input type="password" name="password2" class="form-control" id="id_password2" required placeholder="Confirme la clave">
                        <span class="glyphicon glyphicon-log-in form-control-feedback"></span>
                        <span class="help-block">
                            {% for error in form.password2.errors %}
                                <ul>
                                    <li class="text-red">{{ error }}</li>
                                </ul>
                            {% endfor %}
                        </span>
                    </div>

                    
                    <div class="row">
                        <!-- /.col -->
                        <div class="col-xs-12">
                            <button type="submit" class="btn btn-primary btn-block btn-flat">Registrarse</button>
                        </div>
                        <!-- /.col -->
                    </div>
                </form>
            </div>
            <!-- /.form-box -->
        </div>
        <!-- /.register-box -->

        <!-- jQuery 3 -->
        <script src="{{ static('bower_components/jquery/dist/jquery.min.js') }}"></script>
        <!-- Bootstrap 3.3.7 -->
        <script src="{{ static('bower_components/bootstrap/dist/js/bootstrap.min.js') }}"></script>
        <!-- iCheck -->
        <script src="{{ static('plugins/iCheck/icheck.min.js') }}"></script>
        <script>
            $(function () {
                $('input').iCheck({
                    checkboxClass: 'icheckbox_square-blue',
                    radioClass: 'iradio_square-blue',
                    increaseArea: '20%' /* optional */
                });
            });
        </script>
    </body>
</html>
